export namespace LarkServer {
  export interface UserSession {
    /**
     * 访问令牌
     */
    access_token: string;

    /**
     * 员工ID
     */
    employee_id: string;

    /**
     * 令牌过期时间
     */
    expires_in: number;

    /**
     * 开放ID
     */
    open_id: string;

    /**
     * 刷新令牌
     */
    refresh_token: string;

    /**
     * 会话密钥
     */
    session_key: string;

    /**
     * 租户密钥
     */
    tenant_key: string;

    /**
     * 联盟ID
     */
    union_id: string;
  }

  export interface BaseRes {
    code: number;
    data: any;
    msg: string;
  }

  export interface UserSessionRes extends BaseRes {
    data: UserSession;
  }

  export interface UserInfoRes extends BaseRes {
    data: {
      user: any;
    };
  }

  export type ReceiveIDType =
    | "open_id"
    | "user_id"
    | "union_id"
    | "email"
    | "chat_id";

  export type MsgType =
    | "text"
    | "post"
    | "image"
    | "file"
    | "audio"
    | "media"
    | "sticker"
    | "interactive"
    | "share_chat"
    | "share_user";
}
